<?php
/*
  ===============================================================

  inGenio X
  http://ingenio.area421.com

  Created by 
  Julian Moreno Hidalgo (Software developer)
  Jesus Moreno Hidalgo (Communication's tree)

  inGenio X is a free software licensed under CC-GNU GPL

  ===============================================================
*/
?>
<?php
	if (!defined("IGNX")) { die("Attempt..."); }
	
	$salida_menu_links = array();		
	$qli = myquery("SELECT * FROM ".LINKS." WHERE enabled=1 ORDER BY orden DESC limit 0, ".CONFIG_18."");
		while ($row = myfetch($qli))
		{
			
			if (trim($row["url"]==""))
			{ 
				$link="http://"; 
			} else {					
				$link = str_replace("http://","",$row["url"]);
				$link = "http://".$link;
			}		
					
					
					if (IDIOMA_ACTUAL == 0)
					{
						$row["titulo"] = $row["titulo"];
						$row["comentario"] = salida_popups( $row["comentario"] );
						$row["link"] = $link;
					}
					else if (IDIOMA_ACTUAL == 1)
					{
						$row["titulo"] = $row["titulo_1"];
						$row["comentario"] = salida_popups( $row["comentario_1"] );
						$row["link"] = $link;
					}
					else if (IDIOMA_ACTUAL == 2)
					{
						$row["titulo"] = $row["titulo_2"];
						$row["comentario"] = salida_popups( $row["comentario_2"] );
						$row["link"] = $link;
					}
					else if (IDIOMA_ACTUAL == 3)
					{
						$row["titulo"] = $row["titulo_3"];
						$row["comentario"] = salida_popups( $row["comentario_3"] );
						$row["link"] = $link;
					}
					else if (IDIOMA_ACTUAL == 4)
					{
						$row["titulo"] = $row["titulo_4"];
						$row["comentario"] = salida_popups( $row["comentario_4"] );
						$row["link"] = $link;
					}
					else if (IDIOMA_ACTUAL == 5)
					{
						$row["titulo"] = $row["titulo_5"];
						$row["comentario"] = salida_popups( $row["comentario_5"] );
						$row["link"] = $link;
					}
			
		 
			if ($row["comentario"] != "")
			{
		 		
		 		// comprueba la longitud del comentario
		 		$corte = 100;
				if (strlen($row["comentario"]) > $corte) { $mas="..."; } else { $mas=""; }
		 		$row["title_comentario"] = substr($row["comentario"],0,$corte).$mas;
		 				 
			}
		 
			$salida_menu_links[] = $row;
		
		} // del while

		// Smarty
		$smarty->assign("salida_menu_links", $salida_menu_links);
	
	// Hay links?
	$qak = myquery("SELECT * FROM ".LINKS." WHERE enabled=1");
	$rowak = mynumrows($qak);
	if ($rowak > CONFIG_18)
	{
		// Smarty
		$smarty->assign("hay_mas_links", 1);
	}

?>